Package org.apache.sling.testing.junit.rules.instance.util

## Class DirectoryAllocator

- java.lang.Object
- - org.apache.sling.testing.junit.rules.instance.util.DirectoryAllocator

    public class DirectoryAllocator
    extends Object

### Constructor Summary

Constructors
`DirectoryAllocator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`File` `allocateDirectory​(File root, String basename)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirectoryAllocator

    public DirectoryAllocator()

### Method Detail

#### allocateDirectory

    public File allocateDirectory​(File root,
                                  String basename)